/* override c7 styles */
body {
	--c7-field-border-radius: 3px; 
	--c7-button-border-radius: 20px; 
	--c7-primary-button-bg: transparent;
	--c7-primary-button-bg-hover:#000;
	--c7-primary-button-text-color: #000;
	--c7-heading-font-family: Merriweather, Arial, Helvetica, sans-serif;
	--c7-heading-font-weight: 400;
	--c7-font-family: Roboto, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
	--c7-body-text-color: #666666;
	--c7-link-color:#666666;
	--c7-field-option-focus-color: #b1102b;
	--c7-field-option-selected-color: #b1102b;

}

/* account header */
#account-header {
	display: inline-flex;
	width: 100%;
	justify-content: end;
}

/* Squarespace */
/* in staging mode 
#account-header {
display: inline-flex;
width: 100%;
justify-content: end;
} */
/* position absolute option
#account-header {
display: inline-flex;
position: absolute;
top: 10px;
right: 10px;
z-index: 999;
}
*/

#account-header #c7-account {
	display:inline-block;
}
#account-header #c7-cart .c7-user-nav__cart {
	display:flex;
}
#account-header > #c7-cart {
	display:inline-flex;
}
#c7-account, #c7-cart {
	display:inline-block;
	margin-left: 5px;

}
#c7-account .c7-user-nav__account a {
	color:#fff;
	text-transform: uppercase;
	padding:0px;
	font-family: var(--c7-heading-font-family);
	font-size: 12px;
  	line-height: 1;
}
body .c7-user-nav__account__name svg {
	stroke: #fff;	
}
#c7-account .c7-user-nav__account__dropdown a {
	color: var(--c7-body-text-color);
}
#c7-cart .c7-user-nav__cart .c7-link:first-child {
	background-color: transparent;
	border:none;
} 
body .c7-reservation-widget .c7-date-picker-dropdown button {
	padding: 0px;
}
#c7-cart .c7-user-nav__cart .c7-user-nav__cart__title svg {
	stroke:#fff;
}
#c7-cart .c7-user-nav__cart__count {
	background-color: #000;
}
#c7-cart .c7-user-nav__cart button.c7-link {
	padding: 0px !important;
}
#c7-cart .c7-order-item__description {
	margin-top: 10px;
	font-size: 10px;
}
/* Overall styling */

/* button styles */
body .c7-btn {
	border: 2px solid #b1102b!important;
	color: #b1102b!important;
	background: transparent!important;
	position: relative;
	overflow: hidden;
	text-transform: uppercase!important;
	font-family: Merriweather, Arial, Helvetica, sans-serif!important;
	z-index: 1;
	min-width: max-content;
}
body .c7-btn::before {
	content: "";
	position: absolute;
	top: -1px;
	right: -1px;
	bottom: -1px;
	left: -1px;
	transform: translateZ(0);
	backface-visibility: hidden;
	transition: clip-path .35s cubic-bezier(.21, .6, .35, 1);
	background: #b1102b;
	clip-path: polygon(0 0,0 0,-50% 100%,0 100%);
	z-index: -1;
}

body .c7-btn:hover::before {
	clip-path: polygon(0 0,150% 0,100% 100%,0 100%);
}

body .c7-btn:hover, body .c7-cart__buttons .c7-btn:hover {
	color: #fff!important;
}

.c7-account__menu a:hover {
	color: #b1102b;
}


/* slide out cart */
body .c7-side-cart__header button {
	background-color: transparent;
	color:#000;
}
/* shrink checkout buttons */
body .c7-order-summary__buttons a {

	/*font-size: 12px;*/
}


/* make link buttons look like links */
body button.c7-link {
	background-color:transparent;
	border: 0px;
	color: var(--c7-body-text-color);
}
body button.c7-link:hover {
	opacity: 0.6;
}


/* dashboard tweaks */
.c7-account__dashboard__message {
	margin-bottom: 20px;
}
.c7-account-row {
	max-width: 100% !important;
	justify-content: space-between !important;
}
body .c7-account-login__password-options {

}
body .c7-account-login__options {

}

/* cart styling */
.cart-row h1 {
	display:none;
}
.c7-cart__wrapper, .c7-account__dashboard {
	max-width: 100% !important;
	margin:0px auto !important;
	justify-content: space-between !important;
}

/* fix lightboxes that go behind sticky header */
body .c7-modal-container {
	top: 14%;
}



/* hide club cancelation 
.c7-account-club .c7-account-blocks--status .c7-account-block__actions {
display:none !important;
}
.c7-callout--club .c7-callout__details li:nth-child(2), .c7-callout--club .c7-callout__details li:nth-child(3) {
display:none !important;
}*/

/* hide club skip
.c7-account-club__shipment__footer .c7-btn--skip {
display:none !important;
}*/


/* hide delete account 
.c7-account-details .c7-account-details__delete-account {
display:none !important;
}*/

/* hide reservations 
.c7-account__menu li:nth-child(4) {
display:none;
}
.c7-account-dashboard__left-column .c7-account-block:nth-child(3) {
display:none;
}
.c7-user-nav__account__dropdown__header ul li:nth-child(4) {
display:none;
}
*/

/* collection styling */
.c7-product-collection .c7-product {
	display:block !important;
	text-align: center !important;
}
.c7-product-collection__product-list {
	grid-template-columns: 1fr 1fr 1fr !important;
}
.c7-product-collection__product-list .c7-form {
	max-width: none;
}
.c7-product-collection__product-list .c7-form .c7-product__add-to-cart__price {
	margin: 0 0 20px;
}
.c7-product-collection .c7-product img {
	width: auto;
	object-fit:cover;
}
/* fix default right margin on image grid */
.c7-product-collection .c7-product__image {
	margin-right: 0px;
}
.c7-product-collection .c7-product .c7-product__add-to-cart__form {
	justify-content: center !important;
	align-items: center !important;
}

/* calendar styling ADA fix */
.c7-reservation-widget .c7-date-picker-input button {
	background-color: transparent !important;
	border-radius: 0px !important;
}
.c7-reservation-widget .c7-date-picker-dropdown button {
	color:inherit;
	background-color: inherit;
}

/* headings */
body h1.c7-h1, 
body .c7-account__header p:first-of-type,
body .c7-product__title,
body .c7-product__title a {
	text-align: center;
	text-transform: uppercase;
	color: #13284c;
}

body .c7-product-detail .c7-product__details .c7-product__title {
	text-align: left;
}

body .c7-account-block__title {
	font-family: var(--c7-heading-font-family);
}

body .c7-order-item__title,
body .c7-order-item__title a {
	font-family: var(--c7-heading-font-family);
	color: #13284c;	
}

/* subscribe form */
.footer-form-container .fusion-column-wrapper {
	flex-direction: row!important;
	align-items: center;
}

body .c7-subscribe.footer-form {
	color: #fff;
}

body .c7-subscribe.footer-form .c7-form__field {
	margin-bottom: 0;
}

body .c7-subscribe.footer-form label {
	display: none;
}

body .c7-subscribe.footer-form .c7-btn {
	display: flex;
	gap: 10px;
	color: #fff!important;
	border-color: #fff!important;
	margin-top: 0;
	margin-bottom: 0;
}

body .c7-subscribe.footer-form .c7-btn::after {
	content: "\f0a4";
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
}

body .c7-subscribe.footer-form .c7-btn:hover {
	border-color: #b1102b!important;
}

/* homepage */
.homepage-featured .c7-h1 {
	display: none;
}

.homepage-featured .c7-product-collection__product-list {
  	grid-template-columns: 1fr 1fr !important;
}

/* mobile overrides */
@media screen and (max-width: 1024px){
	/* two column on tablet */ 
	.c7-product-collection__product-list {
		grid-template-columns: 1fr 1fr !important;
	} 
	.header-container > .fusion-builder-row .header-container-left {
		margin-top: 10px;
		margin-bottom: 10px;
	}
}

@media screen and (min-width: 769px) {
	body .c7-product-collection .c7-product__image, 
	body .c7-related-products .c7-product__image, 
	body .c7-product-allocation .c7-product__image {
		margin-right: 0px;
	}
}

@media screen and (max-width: 767px){

	/* mobile header position */
	#account-header {
		top: 0px;
	}

	/* one column on mobile */
	.homepage-featured .c7-product-collection__product-list,
	.c7-product-collection__product-list {
		grid-template-columns: 1fr !important;
	} 

	.c7-product-specs {
		text-align: left !important;
		margin: 0px !important;
	}
	.c7-product-specs h2 {
		text-align: left !important;
	}

	.footer-form-container .fusion-column-wrapper {
		flex-direction: column!important;
		gap: 0;
		margin-bottom: 20px;
	}
}

@media screen and (max-width: 640px){
	#c7-collection-list {
		text-align: center;
	}
	
	.header-container > .fusion-builder-row {
		flex-direction: row;
		justify-content: space-between !important;
		padding-top: 10px;
	}
	
	.header-container > .fusion-builder-row .header-container-left,
	.header-container > .fusion-builder-row .header-container-right {
		width: auto;
		margin-top: 0;
	}
}

@media screen and (max-width: 480px){
	body .c7-subscribe.footer-form {
		width: 100%;
	}
	
	body .c7-subscribe.footer-form .c7-btn {
		width: max-content;
		margin: 12px auto 0;
	}
}